<?php

if (!defined('ABSPATH')) {
    exit;
}

class WC_Cart_Items_Tag extends \Elementor\Core\DynamicTags\Tag {
    
    public function get_name() {
        return 'wc-cart-items';
    }

    public function get_title() {
        return __('WooCommerce Cart Items', 'wc-cart-dynamic-tags');
    }

    public function get_group() {
        return 'woocommerce';
    }

    public function get_categories() {
        return [\Elementor\Modules\DynamicTags\Module::TEXT_CATEGORY];
    }

    public function render() {
        //if (!class_exists('WC') || !WC()->cart) {
        //    echo __('Cart is empty or unavailable', 'wc-cart-dynamic-tags');
        //    return;
        //}
    
        // DEBUG: Log cart contents to help troubleshoot
        error_log('WooCommerce Cart Data: ' . print_r(WC()->cart->get_cart(), true));
    
        if (WC()->cart->get_cart_contents_count() == 0) {
            echo __('Your cart is empty.', 'wc-cart-dynamic-tags');
            return;
        }
    
        WC()->cart->calculate_totals();
    
        $cart = WC()->cart->get_cart();
        $output = [];
        foreach ($cart as $cart_item) {
            $product = wc_get_product($cart_item['product_id']);
            $output[] = '<span class="wcidt-prod-name">' . $product->get_name() . '</span><span class="wcidt-prod-qty"> x ' . $cart_item['quantity'] . '</span>';
        }
    
        echo implode(', ', $output);
    }
    
    
    

    public function get_value(array $options = []) {
        if (!class_exists('WC')) {
            return '';
        }
    
        $cart = WC()->cart->get_cart();
        if (empty($cart)) {
            return __('Cart is empty', 'wc-cart-dynamic-tags');
        }
    
        $output = [];
        foreach ($cart as $cart_item) {
            $product = wc_get_product($cart_item['product_id']);
            $output[] = '<span class="wcidt-prod-name">' . $product->get_name() . '</span><span class="wcidt-prod-qty"> x ' . $cart_item['quantity'] . '</span>';
        }
    
        return implode(', ', $output);
    }
    
}
